%define jpeg_version 1.5.1
%define png_version 1.2
%define cfitsio_version 2.420
%define wcslib_version 3.5.0

Summary: A tool for making cutouts and color images from FITS files
Name: fitscut
Version: 1.4.4
Release: %mkrel 14
License: GPLv2
Group: Sciences/Astronomy
URL: http://acs.pha.jhu.edu/general/software/fitscut/
Source: http://acs.pha.jhu.edu/general/software/fitscut/download/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(libjpeg) >= %{jpeg_version}
BuildRequires: pkgconfig(libpng) >= %{png_version}
BuildRequires: pkgconfig(cfitsio) >= %{cfitsio_version}
BuildRequires: wcstools-devel >= %{wcslib_version}

%description
Fitscut is a tool for making cutouts and color images from FITS files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS
%{_bindir}/%{name}


%changelog
* Thu Jul 23 2020 daviddavid <daviddavid> 1.4.4-14.mga8
+ Revision: 1608167
- rebuild for new cfitsio 3.480

* Fri Mar 27 2020 daviddavid <daviddavid> 1.4.4-13.mga8
+ Revision: 1560906
- rebuild for new cfitsio 3.470

* Mon Feb 24 2020 daviddavid <daviddavid> 1.4.4-12.mga8
+ Revision: 1550106
- switch to wcstools
- add patch to fix build with wcslib
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.4-10.mga7
+ Revision: 1297708
- Mageia 7 Mass Rebuild

* Sun May 13 2018 daviddavid <daviddavid> 1.4.4-9.mga7
+ Revision: 1228815
- rebuild for new cfitsio 3.450

* Tue Nov 22 2016 eatdirt <eatdirt> 1.4.4-8.mga6
+ Revision: 1068786
- rebuild for new cfitsio

* Wed Mar 09 2016 eatdirt <eatdirt> 1.4.4-7.mga6
+ Revision: 988542
- Rebuild for new cfitsio

* Mon Feb 08 2016 umeabot <umeabot> 1.4.4-6.mga6
+ Revision: 947214
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-5.mga5
+ Revision: 746446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-4.mga5
+ Revision: 679216
- Mageia 5 Mass Rebuild

* Thu Feb 27 2014 eatdirt <eatdirt> 1.4.4-3.mga5
+ Revision: 597686
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 530609
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 1.4.4-1.mga4
+ Revision: 458542
- fix macros
- fix spec
- imported package fitscut

